#
# spec file for package ghc-extensible
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name extensible
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.4.9
Release:        2.2
Summary:        Extensible, efficient, optics-friendly data types and effects
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-StateVar-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cassava-devel
BuildRequires:  ghc-comonad-devel
BuildRequires:  ghc-constraints-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-monad-skeleton-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-prettyprinter-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-profunctors-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-th-lift-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-lens-devel
%endif

%description
This package provides a powerful framework to combine and manipulate various
types of structures.

See also <https://www.schoolofhaskell.com/user/fumieval/extensible School of
Haskell> for tutorials.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md examples

%changelog
* Tue Jul 10 2018 psimons@suse.com
- Update extensible to version 0.4.9.
  0.4.9
  - ------------------------------------------------
  * Generalised the `MonadIO` instance for `Eff` to `(MonadIO m, Associate "IO" m xs) => MonadIO (Eff xs)`
  * Added `And :: (k -> Constraint) -> (k -> Constraint) -> k -> Constraint`
  * Added `Semigroup` and `Monoid` instances for `Const'`
  * Added `stringAssocKey :: (IsString a, KnownSymbol (AssocKey kv)) => proxy kv -> a`
  * Added a `Wrapper` instance for `Either e`
  * Added instances of `Pretty` and `Lift`
  * Added `hmapWithIndexFor`
* Thu Apr 12 2018 psimons@suse.com
- Update extensible to version 0.4.8.
  A more detailed change log is not available.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.4.2.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.3.7 revision 0 with cabal2obs.
